declare const _default: import("vue").DefineComponent<{
    total: {
        type: NumberConstructor;
        required: true;
    };
    perPage: {
        type: NumberConstructor;
        required: true;
    };
    currentPage: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    maxVisibleButtons: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
}, {
    currentStart: import("vue").ComputedRef<number>;
    currentEnd: import("vue").ComputedRef<number>;
    totalPages: import("vue").ComputedRef<number>;
    pages: import("vue").ComputedRef<number[]>;
    isInFirstPage: import("vue").ComputedRef<boolean>;
    isInLastPage: import("vue").ComputedRef<boolean>;
    goToPageNumber: (page: number) => void;
    gotoFirstPage: () => void;
    gotoLastPage: () => void;
    gotoNextPage: () => void;
    gotoPreviousPage: () => void;
    showDots: (position?: string) => boolean;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "changed"[], "changed", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    total: {
        type: NumberConstructor;
        required: true;
    };
    perPage: {
        type: NumberConstructor;
        required: true;
    };
    currentPage: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    maxVisibleButtons: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
}>> & {
    onChanged?: ((...args: any[]) => any) | undefined;
}, {
    currentPage: number;
    maxVisibleButtons: number;
}>;
export default _default;
